package cn.hnthyy.thmz.mapper.his.mz;

import cn.hnthyy.thmz.entity.his.mz.MzfzConfig;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

public interface MzfzConfigMappper {
    /**
     * 加锁
     * @return
     */
    @Update("update mzfz_config set gh_no =gh_no where item_no = 1")
    int updateForBlock();

    @Select("select * from mzfz_config where item_no = 1")
    MzfzConfig selectMzfzConfig();

    @Update("update mzfz_config set gh_no =#{ghNo} where item_no = 1")
    int updateMzfzConfig(MzfzConfig mzfzConfig);





}
